[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBText.Visible

Indicates if the control is displayed.

## Declaration

Source position: dbctrls.pp line 328

`published property TDBText.Visible : Boolean;`

## Description

The Visible property represents the ability to see a visual control. If Visible is set to True the control is shown, otherwise it is hidden. Calling Show sets Visible to True. Setting Visible to False is equivalent to calling the Hide method.

Remark: | The Visible property does not depend on control's parent visibility. Use the IsVisible method to consider this and get the real visibility.

## See also

TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.